#include "mainwindow.h"
#include "ui_mainwindow.h"

#include <QFileDialog>
#include <QInputDialog>
#include <QMessageBox>

MainWindow::MainWindow(QWidget *parent) : QMainWindow(parent), ui(new Ui::MainWindow) {
    ui->setupUi(this);
    
    connect(ui->pushButton, SIGNAL(clicked()), this, SLOT(openFile()));
    connect(ui->actionQuit, SIGNAL(triggered()), this, SLOT(quit()));
}

MainWindow::~MainWindow() {
    delete ui;
}

// --- OPEN FILE ---
void MainWindow::openFile() {
	QString filename = QFileDialog::getOpenFileName(this, tr("Open media file"));
	if (filename.isEmpty()) { 
        QMessageBox::warning(this, tr("Empty string."), tr("Returned filename was empty."));
        return;
    }
	
	// Check file.
	QFileInfo finf(filename);
	if (!finf.isFile()) { 
		QMessageBox::warning(this, tr("Failed to open file"), tr("The selected file could not be opened."));
		return;
	}
    
    QMessageBox::information(this, tr("Success"), filename);
}


// --- QUIT ---
void MainWindow::quit() {
    exit(0);
}
